from PIL import Image
import numpy as np
import matplotlib.pyplot as plt
import random
from math import *

#nuance de noir :
deg =5

#importation photo du carré
#carre = Image.open("photocarre.PNG")
carre = Image.open("photocarregeogebra.PNG")
#pour geogebra : opacité 100% et épaisseur : 5

img1 = np.array(carre)
img1 = img1[:,:,:3] #enlève la transparence
#print(img1.shape) # Affiche la taille
#print(img1[20, 30]) # Affiche les composantes d'un pixel

#reconstruction du carré
car = []
for i in range(img1.shape[0]):
    for j in range (img1.shape[1]):
        if img1[i,j][0] < deg and img1[i,j][1] < deg and img1[i,j][2] < deg:
            car.append((j,i))
            
# pour trouver les coordonnées des points du bas
def listh(a):
    L1_car = []
    for i in range(len(car)):
        if car[i][0] == a:
            L1_car.append(car[i])
    return L1_car

# pour trouver les coordonnées des points du haut

def listg(a):
    L1_car = []
    for i in range(len(car)):
        if car[i][1] == a:
            L1_car.append(car[i])
    return L1_car            

#plt.imshow(img1) # pour afficher l'image du carré
size = 15
data = np.arange(size * size).reshape((size, size))

# Limits for the extent
x_start =1.0
x_end = 400.0
y_start = 0.0
y_end = 300.0

extent = [x_start, x_end, y_start, y_end]

# The normal figure
fig = plt.figure(figsize=(16, 12))
ax = fig.add_subplot(111)
im = ax.imshow(data, extent=extent, origin='lower', interpolation='None', cmap='viridis')

# ajouter le texte
jump_x = (x_end - x_start) / (2.0 * size)
jump_y = (y_end - y_start) / (2.0 * size)
x_positions = np.linspace(start=x_start, stop=x_end, num=size, endpoint=False)
y_positions = np.linspace(start=y_start, stop=y_end, num=size, endpoint=False)

i=0

for y_index, y in enumerate(y_positions):
    for x_index, x in enumerate(x_positions):
        label = (car[i])
        i=i+1
        text_x = x + jump_x
        text_y = y + jump_y
        ax.text(text_x, text_y, label, color='black', ha='center', va='center')

plt.show()

        
    
